Subject: [bug#30037] [PATCH] gnu: whois: Remove bundled mkpasswd.

From: ng0 <[email-masked]>
Date: Wed, 10 Jan 2018 14:55:54 +0000

Tobias Geerinckx-Rice transcribed 2.6K bytes:
> ng0,
> 
> ng0 wrote on 09/01/18 at 07:51:
> > or you could move the mkpasswd to its own output.
> 
> That's not (a step towards) unbundling, though, is it?
> 
> > I think you want to look into the old discussions around this. I
> > don't remember why this wasn't chosen, all I know is that upstream
> > made it very clear to me that they won't separate mkpasswd.
> 
> OK, I found this thread[0] on guix-devel. I'd only checked guix-patches.
> 
> I can somewhat understand your use of the word ‘bundle’ in the TODO
> comment — or at least where it came from — but it's pretty misleading in
> that context. As you rightly noted:
> 
>   Ludo'> Why to you call that “unbundling”?
>   ng0>   Wrong choice of words.
>   [...]
>   ng0>   It's annoying that two unrelated applications are thrown
>   ng0>   into one distribution/package.
> 
> It would have been nice to adjust the comment at that point, or mention
> that this ‘mkpasswd’ is unrelated to the better-known Expect ‘mkpasswd’.
> 
> (Hark, this one doesn't even mk passwds! For maximum irony, it was
>  renamed from ‘cryptpw’, which perfectly described its purpose...)
> 
> Since this is its own thing, for better or worse, I agree with the
> others in that thread that it should remain part of this package/output
> until upstream repents.
> 
> Kind regards,
> 
> T G-R
> 
> [0]: https://lists.gnu.org/archive/html/guix-devel/2017-01/msg00504.html
> 

I had whois installed for some time, but consider this (or test it):

What if someone under account root install 'whois' into their profile.
Wouldn't they have 2 mkpasswd now in their path of exectuables and
encounter a collision?
Should we rename it for the sake of namespace collisions reduction?

-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://c.n0.is/ng0_pubkeys/tree/keys
  WWW: https://n0.is/a/  ::  https://ea.n0.is